Bug 983959 - [abrt] wtop-0.6.8-3.fc19: logrep:289:runit:IOError: [Errno 13] Permission denied: '/var/log/httpd/access_log'
[abrt] wtop-0.6.8-3.fc19: logrep:289:runit:IOError: [Errno 13] Permission den...
Status: NEW
Product: Fedora
Classification: Fedora
Component: wtop (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
abrt_hash:3e29c725a5ca43409096baf39f7...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 07:43 EDT by Christian Stadelmann
Modified: 2017-07-26 16:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (802 bytes, text/plain)
2013-07-12 07:43 EDT, Christian Stadelmann
no flags Details
File: core_backtrace (145 bytes, text/plain)
2013-07-12 07:43 EDT, Christian Stadelmann
no flags Details
File: environ (4.40 KB, text/plain)
2013-07-12 07:43 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2013-07-12 07:43:37 EDT
Description of problem:
I tried to run wtop as non-privileged user.
In my opinion wtop should not crash when having no permission reading files but fail gracefully.

Version-Release number of selected component:
wtop-0.6.8-3.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/logrep -m top -c ''
executable:     /usr/bin/logrep
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
logrep:289:runit:IOError: [Errno 13] Permission denied: '/var/log/httpd/access_log'

Traceback (most recent call last):
  File "/usr/bin/logrep", line 380, in <module>
    runit()
  File "/usr/bin/logrep", line 289, in runit
    log = logrep.follow(open(logrep.latest_log()[0]))
IOError: [Errno 13] Permission denied: '/var/log/httpd/access_log'

Local variables in innermost frame:
cfg: '/etc/wtop.cfg'
uncompiled_field_filters: []
has_agg: False
order_by: None
log: None
agg_fields: []
group_by: []
MODE: 'top'
order_descending: True
grep_excludes: []
grep_filters: []
args: []
last_n: None
agg_limit: 0
exclude_classes: []
output_fields: ['status', 'msec', 'ts', 'class']
o: '-c'
field_filter_fn: None
filtered_fields: []
x_tmp_file: None
include_classes: []
v: ''
opts: [('-m', 'top'), ('-c', '')]
Comment 1 Christian Stadelmann 2013-07-12 07:43:41 EDT
Created attachment 772654 [details]
File: backtrace
Comment 2 Christian Stadelmann 2013-07-12 07:43:45 EDT
Created attachment 772655 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2013-07-12 07:43:48 EDT
Created attachment 772656 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 13:52:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-07-19 06:15:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Christian Stadelmann 2016-07-20 08:07:59 EDT
Still present.
Comment 7 Fedora End Of Life 2017-07-25 14:33:12 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.